﻿using System;
using System.Windows;
using System.Windows.Controls;
using Microsoft.Phone.Controls;
using VeloToulouse.Entites;

namespace VeloToulouse
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            this.DataContext = StationsService.Current;
            StationsService.Current.GetListeStationsCompleted += new EventHandler(service_GetListeStationsCompleted);
            MainProgress.IsIndeterminate = true;
            LoadingPanel.Visibility = System.Windows.Visibility.Visible;
            StationsService.Current.GetListeStationsAsync();
        }

        void service_GetListeStationsCompleted(object sender, EventArgs e)
        {
            if (e == null)
            {
                MessageBox.Show("Erreur lors de la récupération des données");
            }
            MainProgress.IsIndeterminate = false;
            LoadingPanel.Visibility = System.Windows.Visibility.Collapsed;

        }

        private void listStations_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ListBox l = (ListBox) sender;
            NavigationService.Navigate(
                new Uri("/StationDetail.xaml?id=" + ((Station) l.SelectedItem).Id, UriKind.Relative));
        }
    }
}
