﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using VeloToulouse.Entites;

namespace VeloToulouse
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            
            StationsService.Current.GetListeStationsCompleted += new EventHandler(service_GetListeStationsCompleted);

            this.DataContext = StationsService.Current;

            MainProgress.IsIndeterminate = true;
            StationsService.Current.GetListeStationsAsync();
        }

        void service_GetListeStationsCompleted(object sender, EventArgs e)
        {
            if (e == null)
            {
                MessageBox.Show("Erreur lors de la récupération des données");
                MainProgress.IsIndeterminate = false;
            }
            else
            {
                MainProgress.IsIndeterminate = false;
            }
        }

        private void listStations_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            
            NavigationService.Navigate(
                new Uri("/StationDetail.xaml?id=" + ((Station) listStations.SelectedItem).Id, UriKind.Relative));
        }
    }
}
